import arcpy
import arcpy.management as man
import arcpy.analysis as ana

# paraméterek változóba olvasása
bemeneti_poligon = arcpy.GetParameterAsText(0)
darabszam = int(arcpy.GetParameterAsText(1))
tavolsag = arcpy.GetParameterAsText(2)
kimenet = arcpy.GetParameterAsText(3)

# elemzés
arcpy.AddMessage("Bemeneti fajl ellemorzese folyamatban...")
megfelelo = arcpy.Describe(bemeneti_poligon).shapeType == "Polygon"
mappa = arcpy.Describe(bemeneti_poligon).path
if megfelelo:
    arcpy.AddMessage("Veletlen pontok keszitese folyamatban...")
    man.CreateRandomPoints(out_path = mappa, out_name = "pontok_ideiglenes.shp", constraining_feature_class = bemeneti_poligon, number_of_points_or_field = darabszam)
    arcpy.AddMessage("Pufferkepzes folyamatban...")
    ana.Buffer(in_features = mappa + "/pontok_ideiglenes.shp", out_feature_class = kimenet, buffer_distance_or_field = tavolsag)
    arcpy.AddMessage("Ideiglenes fajl eltakaritasa folyamatban...")
    man.Delete(in_data = mappa + "/pontok_ideiglenes.shp")
else:
    raise Exception("A 'bemeneti_poligon' parameter csak Polygon geometriatipusu vektorfajl lehet.")
arcpy.AddMessage("A szkript sikeresen letrehozott " + str(darabszam) + " darab uj pontot.")
