import arcpy
import arcpy.management as man
import arcpy.analysis as ana

# paraméterek változóba olvasása
bemenet_levalogatashoz = arcpy.GetParameterAsText(0)
bemenet_pufferhez = arcpy.GetParameterAsText(1)
tavolsag = arcpy.GetParameterAsText(2)
kimenet = arcpy.GetParameterAsText(3)

# elemzés
adattipus = arcpy.Describe(bemenet_pufferhez).dataType
if adattipus == "ShapeFile": # ha vektoros
    arcpy.AddMessage("Pufferkepzes es levalogatas megkezdodott.")
    man.MakeFeatureLayer(in_features = bemenet_levalogatashoz, out_layer = "levalogatando_reteg")
    ana.Buffer(in_features = bemenet_pufferhez, out_feature_class = "in_memory\pufferreteg", buffer_distance_or_field = tavolsag)
    man.SelectLayerByLocation(in_layer = "levalogatando_reteg", overlap_type = "COMPLETELY_WITHIN", select_features = "in_memory\pufferreteg", selection_type = "NEW_SELECTION")
    man.CopyFeatures(in_features = "levalogatando_reteg", out_feature_class = kimenet)
    man.Delete(in_data = "in_memory\pufferreteg")
elif adattipus == "RasterDataset": # ha raszteres
    arcpy.AddMessage("Masolas megkezdodott.")
    man.Copy(in_data = bemenet_levalogatashoz, out_data = kimenet)
else: # ha se nem vektor, se nem raszter
    raise Exception("A 'bemenet_pufferhez' parameter csak vektor- vagy raszterfajl lehet.")
arcpy.AddMessage("A szkript sikeresen lefutott.")

